#include <iostream>

using namespace std;

int main()
{
    int N,L;
    cin >> N >> L;
    int H;
    int n=1;
    for(int i = 0;i<N;i++)
    {
        cin >> H;


        if(L>=H) cout << n << endl;
        else n++;
    }

    if(n==N+1) cout << "-1";

    return 0;
}